Subject: [6pack] Clutch Pedal Return Spring Install

From: Rochlin Robert <[email-masked]>
Date: Mon, 27 Apr 2026 10:26:32 -0400

hi List,
	I'm attempting to install the clutch return spring on my TR6.  I haven't had a return spring in place since I acquired  the car over 30 years ago, but I had the spring and decided to install it. The issue is that without the spring the clutch pedal is at the proper orientation to the brake pedal but when I install the spring the pedal pulls forward and is much higher than I'm sure it should be, and also pulls the clutch actuating rod out of the clutch master cylinder. It almost seems as if there is some kind  a stop missing. What is supposed to keep the clutch pedal from hyperextending with the return spring in place? 
	As I said, I haven't had the spring in place since I got the car and can continue to live without it, but curiosity is getting the better of me...
	Best,
	Bob
	'72 TR6.
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/6pack